# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Typedefs | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Matrix3.hpp File Reference

`#include <vlCore/Vector3.hpp>`
`#include <vlCore/Matrix2.hpp>`

Go to the source code of this file.

## Classes

class | vl::Matrix3< T_Scalar >
| The Matrix3 class is a template class that implements a generic 3x3 matrix, see also vl::dmat3, vl::fmat3, vl::umat3, vl::imat3. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Typedefs

typedef Matrix3< double > | vl::dmat3
| A 3x3 matrix using `double` precision.
typedef Matrix3< float > | vl::fmat3
| A 3x3 matrix using `float` precision.
typedef Matrix3< int > | vl::imat3
| A 3x3 matrix using `int` precision.
typedef Matrix3< unsigned int > | vl::umat3
| A 3x3 matrix using `unsigned` int precision.
typedef fmat3 | vl::mat3
| Defined as: `'typedef` `fmat3` `mat3'`. See also VL_PIPELINE_PRECISION.

## Functions

template<typename T_Scalar >
Matrix3< T_Scalar > | vl::operator* (const Matrix3< T_Scalar > &p, const Matrix3< T_Scalar > &q)
template<typename T_Scalar >
Matrix3< T_Scalar > | vl::operator+ (T_Scalar d, const Matrix3< T_Scalar > &m)
template<typename T_Scalar >
Matrix3< T_Scalar > | vl::operator* (T_Scalar d, const Matrix3< T_Scalar > &m)
template<typename T_Scalar >
Vector3< T_Scalar > | vl::operator* (const Matrix3< T_Scalar > &m, const Vector3< T_Scalar > &v)
| Post multiplication: matrix * column vector.
template<typename T_Scalar >
Vector2< T_Scalar > | vl::operator* (const Matrix3< T_Scalar > &m, const Vector2< T_Scalar > &v)
| Post multiplication: matrix * column vector The incoming vector is considered a Vector3<T_Scalar> with the component z = 0.
template<typename T_Scalar >
Vector3< T_Scalar > | vl::operator* (const Vector3< T_Scalar > &v, const Matrix3< T_Scalar > &m)
| pre-multiplication: row vector * matrix
template<typename T_Scalar >
Vector2< T_Scalar > | vl::operator* (const Vector2< T_Scalar > &v, const Matrix3< T_Scalar > &m)
| pre-multiplication: row vector * matrix The incoming vector is considered a Vector3<T_Scalar> with the component z = 0

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:49.
Permission is granted to use this page to write and publish articles regarding Visualization Library.